Package com.evopdf

# Enum ObjectValueType

java.lang.Object
java.lang.Enum<ObjectValueType>
com.evopdf.ObjectValueType

All Implemented Interfaces:
  `Serializable`, `Comparable<ObjectValueType>`, `java.lang.constant.Constable`

public enum ObjectValueType extends Enum<ObjectValueType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Boolean`
  `Float`
  `Integer`
  `None`
  `String`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static ObjectValueType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ObjectValueType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### None

    public static final ObjectValueType None

  - ### String

    public static final ObjectValueType String

  - ### Boolean

    public static final ObjectValueType Boolean

  - ### Integer

    public static final ObjectValueType Integer

  - ### Float

    public static final ObjectValueType Float

- ## Method Details

  - ### values

    public static ObjectValueType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ObjectValueType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()